# docker-twins

A basic Dockerfile and docker-compose file for the [twins](https://code.rocketnine.space/tslocum/twins) Gemini server.

## Certs

Don't forget to map at least one certificate and key in the docker-compose file. You will also have to reference this key in the configuration file.

## Configuration file

First, please see the [twins configuration guide](https://code.rocketnine.space/tslocum/twins/src/branch/master/CONFIGURATION.md) for information on the config format config.yaml.

The image is set up to read the configuration file from `/app/config.yaml`. You'll want to map this in your docker-compose file.

Inside your `config.yaml`, specify both `cert` and `key` with your certificate. This should match the certificate and key mapped in your docker-compose file.

## Hosting a directory

When hosting a directory you'll of course have to map it in the docker-compose file!

